Bug 484300 - Please stop providing patches to PHP that don't work
Please stop providing patches to PHP that don't work
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Joe Orton
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-05 17:37 EST by Noel Forbes
Modified: 2012-08-01 08:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 04:27:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"Actual results" screenshot (27.50 KB, image/jpeg)
2009-02-06 04:48 EST, Karel Volný
no flags Details

  None (edit)
Description Noel Forbes 2009-02-05 17:37:59 EST
Description of problem:

Red Hat engineers insist on adding patches to PHP that completely break the way scripts behave. They do this even when the PHP development team tells them that this is a bad idea.


Version-Release number of selected component (if applicable):

*


How reproducible:

Always.


Steps to Reproduce:

1. Become an egotistical software developer.
2. Try to patch some software, and have your patch rejected upstream.
3. Patch whatever software projects you can with your patch anyway, despite the fact that upstream says it doesn't work.
4. ???
5. Profit!

  
Actual results:

PHP stops working. A domokun kills several kittens.


Expected results:

PHP works.


Additional info:

WHY ARE YOU ALL SUCH CUNTS, YOU RUINED REDHAT 8, YOU RUINED REDHAT 9, WHY CAN'T YOU BE AS GOOD AS VALHALLA, BECAUSE THAT WAS THE ONLY GOOD RELEASE, AND ALSO IF YOU TRY TO UPGRADE GLIBC ON VALHALLA RPM STOPS WORKING I THINK THIS IS PROBABLY A BUG TOO
Comment 1 Joe Orton 2009-02-06 04:27:51 EST
Thanks for the eloquent feedback.

I presume you are referring to the patch to use the system timezone database, which is the subject of recent blog posts?

The more controversial part of this patch (the artificial System/Localtime timezone id) has never been shipped in a supported RHEL or Fedora release.

If you experience any problems with the changes to use the system timezone database in the RHEL php packages, please feel free to report them.
Comment 2 Karel Volný 2009-02-06 04:48:04 EST
Created attachment 331104 [details]
"Actual results" screenshot

Note You need to log in before you can comment on or make changes to this bug.